CS::Animation::iSkeletonBlendNodeFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonBlendNodeFactory Struct Reference
Mesh plugins

Factory for blend nodes, ie nodes which blend together any number of sub-nodes. More...

`#include <imesh/animnode/skeleton2anim.h>`

Inheritance diagram for CS::Animation::iSkeletonBlendNodeFactory:

List of all members.

## Public Member Functions
virtual void | AddNode (iSkeletonAnimNodeFactory *node, float weight)=0
| Add a new sub-node to be blended into the result.
virtual void | ClearNodes ()=0
| Remove all sub-nodes.
virtual iSkeletonAnimNodeFactory * | GetNode (uint node)=0
| Get the sub-node at the given index.
virtual uint | GetNodeCount () const =0
| Get number of sub-nodes.
virtual SynchronizationMode | GetSynchronizationMode () const =0
| Get the current synchronization mode.
virtual void | NormalizeWeights ()=0
| Normalize the sub-node weights so that the sum is 1.
virtual void | SetNodeWeight (uint node, float weight)=0
| Set the blend weight for a specific sub-node.
virtual void | SetSynchronizationMode (SynchronizationMode mode)=0
| Set the synchronization mode.

## Detailed Description

Factory for blend nodes, ie nodes which blend together any number of sub-nodes.

It defines instances of CS::Animation::iSkeletonBlendNode.

Main creators of instances implementing this interface:

- CS::Animation::iSkeletonAnimPacketFactory::CreateBlendNode()

Main ways to get pointers to this interface:

- CS::Animation::iSkeletonBlendNode::GetFactory()
- CS::Animation::iSkeletonAnimNodeFactory::FindNode()

Main users of this interface:

- CS::Animation::iSkeletonFactory

Definition at line 724 of file skeleton2anim.h.

The documentation for this struct was generated from the following file:

- imesh/animnode/skeleton2anim.h